## slideshow 0.1-0

=== debian/changelog ===
slideshow (0.1-0) stable; urgency=low

  *

 -- Skyler Lehmkuhl <skykooler@yahoo.com>  Sat, 16 Jun 2012 16:11:35 +0000
