=== debian/control ===
Source: slideshow
Section: user/graphics
Priority: extra
Maintainer: Skyler Lehmkuhl <skykooler@yahoo.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: slideshow
Architecture: all
Depends: python-clutter-gtk
Description: 
 Photo Frame 
XB-Maemo-Display-Name: Slideshow
XSBC-Bugtracker: http://talk.maemo.org/
XB-Maemo-Flags: visible
