=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp

configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	mkdir -p "$(CURDIR)/debian/slideshow"
	mkdir -p "$(CURDIR)/debian/slideshow/opt/slideshow"
	cp -a "slideshow/opt/slideshow/slideshow_clutter.py" "$(CURDIR)/debian/slideshow/opt/slideshow/slideshow_clutter.py"
	mkdir -p "$(CURDIR)/debian/slideshow/opt/slideshow"
	cp -a "slideshow/opt/slideshow/slideshow.py" "$(CURDIR)/debian/slideshow/opt/slideshow/slideshow.py"
	mkdir -p "$(CURDIR)/debian/slideshow/usr/local/lib/python2.7/dist-packages"
	cp -a "slideshow/usr/local/lib/python2.7/dist-packages/slideshow-0.1.egg-info" "$(CURDIR)/debian/slideshow/usr/local/lib/python2.7/dist-packages/slideshow-0.1.egg-info"
	mkdir -p "$(CURDIR)/debian/slideshow/usr/share/applications/hildon"
	cp -a "slideshow/usr/share/applications/hildon/slideshow.desktop" "$(CURDIR)/debian/slideshow/usr/share/applications/hildon/slideshow.desktop"
	mkdir -p "$(CURDIR)/debian/slideshow/usr/share/icons/hicolor/80x80/apps"
	cp -a "slideshow/usr/share/icons/hicolor/80x80/apps/slideshow.png" "$(CURDIR)/debian/slideshow/usr/share/icons/hicolor/80x80/apps/slideshow.png"
	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
